#
# spec file for package beansbinding
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           beansbinding
Version:        1.2.1
Release:        29.13
Summary:        Beans Binding (JSR 295) reference implementation
License:        LGPL-2.0-or-later
Group:          Development/Libraries/Java
URL:            https://beansbinding.dev.java.net/
Source0:        https://beansbinding.dev.java.net/files/documents/6779/73673/beansbinding-%{version}-src.tar.bz2
BuildRequires:  ant
BuildRequires:  fdupes
BuildRequires:  java-devel >= 1.8
BuildRequires:  javapackages-tools
Requires:       java >= 1.8
BuildArch:      noarch

%description
In essence, Beans Binding (JSR 295) is about keeping two properties
(typically of two objects) in sync. An additional emphasis is placed on
the ability to bind to Swing components, and easy integration with IDEs
such as NetBeans. This project provides the reference implementation.

%package javadoc
Summary:        Beans Binding (JSR 295) reference implementation
Group:          Development/Libraries/Java

%description javadoc
In essence, Beans Binding (JSR 295) is about keeping two properties
(typically of two objects) in sync. An additional emphasis is placed on
the ability to bind to Swing components, and easy integration with IDEs
such as NetBeans. This project provides the reference implementation.

%prep
%setup -q -c
# remove all binary libs
find . -type f \( -iname "*.jar" -o -iname "*.zip" \) -print0 | xargs -t -0 rm -f

%build
ant dist

%install
# jar
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 dist/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}
%fdupes -s %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/*
%doc license.txt releaseNotes.txt

%files javadoc
%dir %{_javadocdir}/%{name}
%{_javadocdir}/%{name}/*

%changelog
* Mon Nov 12 2018 F.Schuette@t-online.de
- fix source, target version = 1.8
- remove beansbinding-1.2.1-sourcetarget.patch
* Tue May 15 2018 fstrba@suse.com
- Modified patch:
  * beansbinding-1.2.1-sourcetarget.patch
    + Build with source and target 8 to prepare for a possible
    removal of 1.6 compatibility
* Fri Sep 15 2017 fstrba@suse.com
- Removed patch:
  * disable-doclint.patch
    + Not needed since doclint is disabled by default in our
  OpenJDK packages
- Added patch:
  * beansbinding-1.2.1-sourcetarget.patch
    + Build with java source and target 1.6 in order to allow
  building with jdk9
- Clean spec file and fix some rpmlint warnings
* Sun May 21 2017 tchvatal@suse.com
- Fix build with new java by disabling doclint:
  * disable-doclint.patch
* Tue Jul  8 2014 tchvatal@suse.com
- Do not depend on ant-nodeps.
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Tue May 19 2009 mvyskocil@suse.cz
- 'Initial SUSE packaging of beansbindings (from Fedora 11)'
